﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace UltraTreeScrolls
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            BuildTree();
        }

        public void BuildTree()
        {
                    
            UltraTreeNode rootNode = new UltraTreeNode("root");
            ultraTree1.Nodes.Add(rootNode);
            for (int i = 1; i < 10; i++)
            {
                UltraTreeNode childNodeLevel1 = new UltraTreeNode("Level 1."+i);

                for (int j = 1; j < 4; j++)
                {
                    UltraTreeNode childNodeLevel2 = new UltraTreeNode("Level 2." + i + "." + j);
                    for (int k = 1; k < 4; k++)
                    {
                        UltraTreeNode childNodeLevel3 = new UltraTreeNode("Level 3."+i+"." +j+"."+ k);
                        childNodeLevel2.Nodes.Add(childNodeLevel3);
                    }
                    childNodeLevel1.Nodes.Add(childNodeLevel2);
                }
                rootNode.Nodes.Add(childNodeLevel1);
            }
            ultraTree1.ExpandAll();


        }

        private void ultraTree1_AfterCheck(object sender, NodeEventArgs e)
        {
            foreach (UltraTreeNode node in e.TreeNode.Nodes)
            {
                node.CheckedState = e.TreeNode.CheckedState;
            }
        }
    }
}
